nxt.http.callers

## Class IssueCurrencyCall

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<IssueCurrencyCall>
    - - nxt.http.callers.IssueCurrencyCall

-     public class IssueCurrencyCall
      extends CreateTransactionCallBuilder<IssueCurrencyCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IssueCurrencyCall` | `algorithm(java.lang.String algorithm)`
    `IssueCurrencyCall` | `code(java.lang.String code)`
    `static IssueCurrencyCall` | `create(int chain)`
    `IssueCurrencyCall` | `decimals(java.lang.String decimals)`
    `IssueCurrencyCall` | `description(java.lang.String description)`
    `IssueCurrencyCall` | `initialSupplyQNT(long initialSupplyQNT)`
    `IssueCurrencyCall` | `issuanceHeight(boolean issuanceHeight)`
    `IssueCurrencyCall` | `maxDifficulty(java.lang.String maxDifficulty)`
    `IssueCurrencyCall` | `maxSupplyQNT(long maxSupplyQNT)`
    `IssueCurrencyCall` | `minDifficulty(java.lang.String minDifficulty)`
    `IssueCurrencyCall` | `minReservePerUnitNQT(long minReservePerUnitNQT)`
    `IssueCurrencyCall` | `name(java.lang.String name)`
    `IssueCurrencyCall` | `reserveSupplyQNT(long reserveSupplyQNT)`
    `IssueCurrencyCall` | `ruleset(java.lang.String ruleset)`
    `IssueCurrencyCall` | `type(int type)`

    - ### Methods inherited from class nxt.http.callers.CreateTransactionCallBuilder

      `broadcast, compressMessageToEncrypt, compressMessageToEncryptToSelf, deadline, ecBlockHeight, ecBlockId, ecBlockId, encryptedMessageData, encryptedMessageData, encryptedMessageIsPrunable, encryptedMessageNonce, encryptedMessageNonce, encryptToSelfMessageData, encryptToSelfMessageData, encryptToSelfMessageNonce, encryptToSelfMessageNonce, message, messageIsPrunable, messageIsText, messageToEncrypt, messageToEncryptIsText, messageToEncryptToSelf, messageToEncryptToSelfIsText, minBundlerBalanceFXT, minBundlerFeeLimitFQT, phased, phasingExpression, phasingFinishHeight, phasingHashedSecret, phasingHashedSecretAlgorithm, phasingHolding, phasingHolding, phasingLinkedTransaction, phasingMinBalance, phasingMinBalanceModel, phasingParams, phasingQuorum, phasingRecipientPropertyName, phasingRecipientPropertySetter, phasingRecipientPropertyValue, phasingSenderPropertyName, phasingSenderPropertySetter, phasingSenderPropertyValue, phasingSubPolls, phasingVotingModel, phasingWhitelisted, publicKey, publicKey, recipientPublicKey, recipientPublicKey, referencedTransaction, timestamp, voucher`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static IssueCurrencyCall create(int chain)

    - #### code

          public IssueCurrencyCall code(java.lang.String code)

    - #### minDifficulty

          public IssueCurrencyCall minDifficulty(java.lang.String minDifficulty)

    - #### ruleset

          public IssueCurrencyCall ruleset(java.lang.String ruleset)

    - #### minReservePerUnitNQT

          public IssueCurrencyCall minReservePerUnitNQT(long minReservePerUnitNQT)

    - #### description

          public IssueCurrencyCall description(java.lang.String description)

    - #### initialSupplyQNT

          public IssueCurrencyCall initialSupplyQNT(long initialSupplyQNT)

    - #### issuanceHeight

          public IssueCurrencyCall issuanceHeight(boolean issuanceHeight)

    - #### type

          public IssueCurrencyCall type(int type)

    - #### maxSupplyQNT

          public IssueCurrencyCall maxSupplyQNT(long maxSupplyQNT)

    - #### maxDifficulty

          public IssueCurrencyCall maxDifficulty(java.lang.String maxDifficulty)

    - #### decimals

          public IssueCurrencyCall decimals(java.lang.String decimals)

    - #### reserveSupplyQNT

          public IssueCurrencyCall reserveSupplyQNT(long reserveSupplyQNT)

    - #### name

          public IssueCurrencyCall name(java.lang.String name)

    - #### algorithm

          public IssueCurrencyCall algorithm(java.lang.String algorithm)